
/*  Table of Contents 
01. ANNOUNCEMENT COOKIE ACTIVATION
02. TWITTER FEED
03. SLIDER DETAILS
	A. HOMEPAGE SLIDER
04. FLICKR PHOTOS
05. MENU ACTIVATION
06. LIGHTBOX ACTIVATION
07. JQUERY TABS
08. FLUID EMBEDDED VIDEOS
*/


/*
=============================================== 01. ANNOUNCEMENT COOKIE ACTIVATION ===============================================
*/
/* Cookie Code */
jQuery(document).ready(function(){
	if(jQuery.cookie('panel_cookie') == null) {
		jQuery("#topannounce").fadeIn();
	};
 
	jQuery(".rightCloseButton").click(function() {
		jQuery("#topannounce").slideUp();
		jQuery.cookie('panel_cookie', 'closed', { expires: 5, path: '/' });	
	});
	
	jQuery("#reset-announce").click(function() {
		jQuery.cookie('panel_cookie', null, { expires: 5, path: '/' });	
	});
});

/*
=============================================== 03. SLIDER DETAILS ===============================================
*/

/* -------------------- A. HOMEPAGE SLIDER -------------------- */
/* View/Hide Slider Arrows */
jQuery(window).load(function() {
    jQuery(".slider-nav span").hide();
    jQuery("#featured-container").hover( 
        function(){ 
			jQuery(".slider-nav span").stop(true, true).fadeIn('normal'); 
		},
        function(){ 
			jQuery(".slider-nav span").fadeOut('normal'); 
		}
    );
});





/*
=============================================== 05. MENU ACTIVATION  ===============================================
*/
jQuery(function(){
	jQuery("ul.sf-menu").supersubs({ 
	        minWidth:    5,   // minimum width of sub-menus in em units 
	        maxWidth:    20,   // maximum width of sub-menus in em units 
	        extraWidth:  1     // extra width can ensure lines don't sometimes turn over 
	                           // due to slight rounding differences and font-family 
	    }).superfish({ 
			animation: {height:'show'},   // slide-down effect without fade-in 
			speed:         'normal',           // speed of the animation. Equivalent to second parameter of jQuery’s .animate() method 
			autoArrows:    true,               // if true, arrow mark-up generated automatically = cleaner source code at expense of initialisation performance 
			dropShadows:   false,               // completely disable drop shadows by setting this to false 
			delay:     400               // 1.2 second delay on mouseout 
		});
});	


/*
=============================================== 06. LIGHTBOX ACTIVATION  ===============================================
*/
jQuery(document).ready(function(){
		jQuery("a[rel^='prettyPhoto']").prettyPhoto({
			animation_speed: 'fast', /* fast/slow/normal */
			slideshow: 5000, /* false OR interval time in ms */
			autoplay_slideshow: false, /* true/false */
			opacity: 0.80, /* Value between 0 and 1 */
			show_title: false, /* true/false */
			allow_resize: true, /* Resize the photos bigger than viewport. true/false */
			default_width: 500,
			default_height: 344,
			counter_separator_label: '/', /* The separator for the gallery counter 1 "of" 2 */
			theme: 'pp_default', /* light_rounded / dark_rounded / light_square / dark_square / facebook */
			horizontal_padding: 20, /* The padding on each side of the picture */
			hideflash: false, /* Hides all the flash object on a page, set to TRUE if flash appears over prettyPhoto */
			wmode: 'opaque', /* Set the flash wmode attribute */
			autoplay: false, /* Automatically start videos: True/False */
			modal: false, /* If set to true, only the close button will close the window */
			deeplinking: false, /* Allow prettyPhoto to update the url to enable deeplinking. */
			overlay_gallery: true, /* If set to true, a gallery will overlay the fullscreen image on mouse over */
			keyboard_shortcuts: true, /* Set to false if you open forms inside prettyPhoto */
			ie6_fallback: true,
			social_tools: '' /* html or false to disable  <div class="pp_social"><div class="twitter"><a href="http://twitter.com/share" class="twitter-share-button" data-count="none">Tweet</a><script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script></div><div class="facebook"><iframe src="http://www.facebook.com/plugins/like.php?locale=en_US&href='+location.href+'&amp;layout=button_count&amp;show_faces=true&amp;width=500&amp;action=like&amp;font&amp;colorscheme=light&amp;height=23" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:500px; height:23px;" allowTransparency="true"></iframe></div></div> */
		});
});


/*
=============================================== 07. JQUERY TABS  ===============================================
*/
jQuery(document).ready(function($) {  
	$('.tabs').easytabs({
	    tabActiveClass: "selected-tab",
		animate: true
	  });
  });



/*
=============================================== 08. FLUID EMBEDDED VIDEOS  ===============================================
*/
jQuery(document).ready(function($) {  
$("#main").fitVids();

});
